function liste() {
  var param = "" ;
  $.ajax({
    type:"POST",
    url:$("#cf_url").val()+"/bo_user/liste",
    data:param,
    success:function(msg){
      $("#div_bo_user").html(msg) ;
    }
  }) ;
}

function newVille() {
  if($("#new_ville").val()==""){
    alert("Saisissez le nom de la ville...") ;
    $("#new_ville").focus() ;
  }
  else if($("#cp").val()==""){
    alert("Attention le code postal doit être correct...") ;
    $("#cp").focus() ;
  }
  else{
    var param = "cp="+encodeURIComponent($("#cp").val())+"&new_ville="+encodeURIComponent($("#new_ville").val()) ;
    $.ajax({
      type:"POST",
      url:$("#cf_url").val()+"/ville/form_inc_new",
      data:param,
      success:function(msg){
        listeVille() ;
      }
    }) ;
  }
}

function listeVille() {
  var param = "cp="+encodeURIComponent($("#cp").val())+"&id_ville="+$("#id_ville").val() ;
  // alert($("#cf_url").val()+"/ville/liste?"+param) ;
  $.ajax({
    type:"POST",
    url:$("#cf_url").val()+"/ville/form_inc_liste",
    data:param,
    success:function(msg){
      $("#div_ville").html(msg) ;
    }
  }) ;
}

function form(id) {
  var param = "id="+id ;
  // alert($("#cf_url").val()+"/bo_user/form?"+param) ;
  $.ajax({
    type:"POST",
    url:$("#cf_url").val()+"/bo_user/form",
    data:param,
    success:function(msg){
      $("#div_bo_user").html(msg) ;
      listeVille() ;
    }
  }) ;
}

function traitForm() {
  if($("#nom").val()==""){
    alert("Nom obligatoire...") ;
    $("#nom").focus() ;
  }
  else if($("#prenom").val()==""){
    alert("Prénom obligatoire...") ;
    $("#prenom").focus() ;
  }
  else if($("#pseudo").val()==""){
    alert("Pseudo obligatoire...") ;
    $("#pseudo").focus() ;
  }
  else if($("#email").val()==""){
    alert("Email obligatoire...") ;
    $("#email").focus() ;
  }
  else if($("#mdp").val()==""){
    alert("Mot de passe obligatoire...") ;
    $("#mdp").focus() ;
  }
  else if($("#couleur").val()==""){
    alert("Code couleur obligatoire...") ;
    $("#couleur").focus() ;
  }
  else{
    var param = "id="+$("#id").val() ;
    param+="&nom="+encodeURIComponent($("#nom").val()) ;
    param+="&prenom="+encodeURIComponent($("#prenom").val()) ;
    param+="&adresse="+encodeURIComponent($("#adresse").val()) ;
    param+="&complement="+encodeURIComponent($("#complement").val()) ;
    param+="&cp="+encodeURIComponent($("#cp").val()) ;
    param+="&id_ville="+encodeURIComponent($("#id_ville").val()) ;
    param+="&pseudo="+encodeURIComponent($("#pseudo").val()) ;
    param+="&email="+encodeURIComponent($("#email").val()) ;
    param+="&tel="+encodeURIComponent($("#tel").val()) ;
    param+="&mdp="+encodeURIComponent($("#mdp").val()) ;
    param+="&couleur="+encodeURIComponent($("#couleur").val()) ;
    if($("#admin").is(":checked")) param+="&admin=1" ;
    else param+="&admin=0" ;
    // alert($("#cf_url").val()+"/bo_user/trait_form?"+param) ;
    $.ajax({
      type:"POST",
      url:$("#cf_url").val()+"/bo_user/trait_form",
      data:param,
      success:function(msg){
        // $("#div_bo_user").html(msg) ;
        alert("MODIFICATIONS ENREGISTREES") ;
        form(msg) ;
      }
    }) ;
  }
}

$(document).ready(function(){
  liste() ;
}) ;
